Fedora Linux Support Community & Resources Center
  #1  
Old 8th November 2016, 11:52 AM
salmichaels Offline
Registered User
 
Join Date: Aug 2010
Posts: 115
linuxchrome
Simple Editor Needed

I'm a teacher and I want to use video clips in my classes. I've tried Openshot but it just continually crashed. Pitivi tried to start but quickly disappeared. kdenlive crashed as soon as I hit "Finish". I tried a few others but some were super complicated and prob meant for the pro, and another called adamsome or the other I couldn't figure out how to use - but it was the only one that didn't crash.

I'm not sure what the problem is. I'm running F23 with 4 GB of RAM and (I thought) a decent video card. I am not a LINUX pro, just a stubborn guy who refuses to use the other two; I know enough to get LINUX going and keep it going. That's about it.

Normally I'd give up on this whole endeavor after so much complication, but I really want this to work for my my job. Any input would be helpful. I have tons of time to get this going, and tons of patience (just not to tonight, ha ha).

Thank you,
Sal
Reply With Quote
  #2  
Old 8th November 2016, 01:08 PM
giulix Offline
Registered
 
Join Date: Oct 2005
Location: CE(S)T
Posts: 3,242
linuxfirefox
Re: Simple Editor Needed

Please post details about your system specs (what is your "decent" graphics card?), source of apps installation (I presume Fedora repos for openshot and pitivi, but I could not find the other video editors in the usual repos), the errors you received and possibly steps to reproduce. I would also consider upgrading to F24 and adding some more RAM (4GB seems a lot, but video editing apps are likely to quickly become memory hogs).
__________________
Asus K55VD, i5 3230M - Productivity/Programming (F24)
Asus M32CD - i7-6700, Asus STRIX-GTX970-DC2OC-4GD, 1x8 GB Sk Hynix 2133 MHz DDR4 - Gaming (W10)
HP Proliant DL 360 G5 - Heavy lifting (CentOS 7.2)
Reply With Quote
  #3  
Old 8th November 2016, 02:38 PM
flyingdutchman Online
Registered User
 
Join Date: Jan 2015
Location: Al Ain, UAE
Posts: 596
macosfirefox
Re: Simple Editor Needed

Hmm, do you have swap space and does swap actually work?
__________________
--
Have fun!
http://www.aeronetworks.ca
Reply With Quote
  #4  
Old 9th November 2016, 06:26 AM
salmichaels Offline
Registered User
 
Join Date: Aug 2010
Posts: 115
linuxchrome
Re: Simple Editor Needed

Okay, here's the card info.

Code:
[Tom@localhost ~]$ lspci
00:00.0 Host bridge: Intel Corporation 4 Series Chipset DRAM Controller (rev 03)
00:02.0 VGA compatible controller: Intel Corporation 4 Series Chipset Integrated Graphics Controller (rev 03)
00:1b.0 Audio device: Intel Corporation NM10/ICH7 Family High Definition Audio Controller (rev 01)
00:1c.0 PCI bridge: Intel Corporation NM10/ICH7 Family PCI Express Port 1 (rev 01)
00:1c.1 PCI bridge: Intel Corporation NM10/ICH7 Family PCI Express Port 2 (rev 01)
00:1d.0 USB controller: Intel Corporation NM10/ICH7 Family USB UHCI Controller #1 (rev 01)
00:1d.1 USB controller: Intel Corporation NM10/ICH7 Family USB UHCI Controller #2 (rev 01)
00:1d.2 USB controller: Intel Corporation NM10/ICH7 Family USB UHCI Controller #3 (rev 01)
00:1d.3 USB controller: Intel Corporation NM10/ICH7 Family USB UHCI Controller #4 (rev 01)
00:1d.7 USB controller: Intel Corporation NM10/ICH7 Family USB2 EHCI Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev e1)
00:1f.0 ISA bridge: Intel Corporation 82801GB/GR (ICH7 Family) LPC Interface Bridge (rev 01)
00:1f.1 IDE interface: Intel Corporation 82801G (ICH7 Family) IDE Controller (rev 01)
00:1f.2 IDE interface: Intel Corporation NM10/ICH7 Family SATA Controller [IDE mode] (rev 01)
00:1f.3 SMBus: Intel Corporation NM10/ICH7 Family SMBus Controller (rev 01)
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 06)
Regarding SWAP, I'm not a hundred percent sure on that. I believe I do, and I'm not sure if it's working.

Would upgrading to F24 require a wipe? If I can do it without having to start from the beginning I would be okay with it but if I have to wipe everything it's just not worth it; I just got this all set up a few months ago and that's too often to be starting over.
Reply With Quote
  #5  
Old 9th November 2016, 09:01 AM
flyingdutchman Online
Registered User
 
Join Date: Jan 2015
Location: Al Ain, UAE
Posts: 596
linuxfedorafirefox
Re: Simple Editor Needed

Note that if you simply want to create a large number of short clips from one large video file, then can simply break the file up into pieces with the 'split' command. Technically, this is not correct, since each clip will start and end with a corrupted frame, but in practice, any video player will skip over the corruption and play the file despite the issues.

Using the split command:
$ split --bytes=10M bigfile.mp4 clip

The result will be a series of 10 MB sequentially numbered video clips.
__________________
--
Have fun!
http://www.aeronetworks.ca
Reply With Quote
  #6  
Old 9th November 2016, 09:05 AM
giulix Offline
Registered
 
Join Date: Oct 2005
Location: CE(S)T
Posts: 3,242
linuxfirefox
Re: Simple Editor Needed

If the integrated card is the only one you've got on that system, it may struggle... I am not sure, I am not skilled in video editing. You don't need to upgrade if you don't have other impelling reasons to do so. Since you have time on your side, I suggest you take the methodical approach: Choose an app of your liking and give it a good testing run until you are confident you have identified all the various problems that prevent it from doing what you need. Some of these bugs can probably be fixed by installing a newer version, some of them will require patches, some will need a OS version upgrade. Switch to 2nd best app, rinse, repeat...
__________________
Asus K55VD, i5 3230M - Productivity/Programming (F24)
Asus M32CD - i7-6700, Asus STRIX-GTX970-DC2OC-4GD, 1x8 GB Sk Hynix 2133 MHz DDR4 - Gaming (W10)
HP Proliant DL 360 G5 - Heavy lifting (CentOS 7.2)
Reply With Quote
  #7  
Old 9th November 2016, 09:06 AM
salmichaels Offline
Registered User
 
Join Date: Aug 2010
Posts: 115
linuxchrome
Re: Simple Editor Needed

Nah that won't do it for me. I need to be more specific than that, and I do want a few of the options the editors give.
Reply With Quote
  #8  
Old 12th November 2016, 02:34 PM
DBelton Offline
Administrator
 
Join Date: Aug 2009
Posts: 8,432
linuxfedorafirefox
Re: Simple Editor Needed

Actually, vlc might do what you are trying to accomplish. It can do some basic video splitting, creating, etc...
Reply With Quote
  #9  
Old 12th November 2016, 03:42 PM
osce0 Offline
Registered User
 
Join Date: May 2011
Posts: 158
linuxfedorafirefox
Re: Simple Editor Needed

Quote:
Originally Posted by salmichaels View Post
I'm not sure what the problem is. I'm running F23 with 4 GB of RAM and (I thought) a decent video card.
I used to do video editing with kino with 4GB a long time ago, but that is no longer supported. I believe most current video editors need enough memory to function properly, since they have to deal with large video clips and temporarily generated related data. Most probably the crash is due to lack of memory.

I stopped using video editing because newer editors wouldn't work with my hardware configuration and because I no longer use analog camcorder (kino can control camcorders using some kind of protocol I think it's called iLink or something.)

I would start with using a lean desktop manager instead of Gnome or KDE, and cut down on any extraneous background services.

And possibly cut the video clip into smaller pieces from command line, then edit the manageably-sized clips using GUI, then splice them together later from command line. It's a hassle, but you wouldn't be spending extra money just for this.
Reply With Quote
  #10  
Old 27th November 2016, 09:46 PM
alphacrucis Offline
Registered User
 
Join Date: Jul 2013
Location: NZ
Posts: 375
windows_98_nt_2000firefox
Re: Simple Editor Needed

Try avidemux from RPM fusion repo. It works well for me doing simple splits and cut outs and transcoding if required.
Reply With Quote
Reply

Tags
editor, needed, simple

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Where is gmenu-simple-editor? jox58 Using Fedora 1 5th July 2012 06:22 AM
needed: gconf-editor RPM cuban_cigar Using Fedora 3 31st December 2010 08:39 PM
Math Editor Needed ASAP!! LatinHacker Using Fedora 8 23rd August 2008 03:04 AM
A simple help is needed in java :) bigboss2200 Programming & Packaging 3 29th September 2007 05:51 AM
Simple php script help needed jcstille Programming & Packaging 9 26th November 2004 03:51 AM


Current GMT-time: 22:28 (Sunday, 30-04-2017)

TopSubscribe to XML RSS for all Threads in all ForumsFedoraForumDotOrg Archive
logo

All trademarks, and forum posts in this site are property of their respective owner(s).
FedoraForum.org is privately owned and is not directly sponsored by the Fedora Project or Red Hat, Inc.

Privacy Policy | Term of Use | Posting Guidelines | Archive | Contact Us | Founding Members

Powered by vBulletin® Copyright ©2000 - 2012, vBulletin Solutions, Inc.

FedoraForum is Powered by RedHat